#教學資源基本資料表
CREATE TABLE `tt_tool` (
  `tsn` smallint(5) unsigned NOT NULL auto_increment,     #編號
  `tname` varchar(50) NOT NULL,                           #教具名稱
  `tno` varchar(20) NOT NULL,                             #自訂編號
  `tcsn` smallint(5) unsigned NOT NULL,                   #類別編號  
  `tgsn` varchar(50),                                     #年級編號 (不止一個) 
  `tfsn` smallint(5),                                     #領域編號 
  `tnum` smallint(5),                                     #數量
  `tcosn` smallint(5),                                    #出版者
  `tssn` smallint(5),                                     #放置地點 
  `tnsn` smallint(5),                                     #目前狀況
  `tdate` date,                                           #進校日期
  `tprice` int,                                           #價錢
  `tmoneysource`  varchar(50),                            #經費來源 
  `tdescript` text,                                       #內容描述 
  PRIMARY KEY  (`tsn`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

#教學資源借出資料
CREATE TABLE `tt_borrow` (
  `bsn` smallint(5) unsigned NOT NULL auto_increment, 
  `bdate` date NOT NULL,
  `bman` varchar(20) NOT NULL,
  `btsn` smallint(5) unsigned NOT NULL default '0', 
  `bnow` varchar(20) NOT NULL,                           #目前狀況 
  `backdate` date,
  `bnote` text,
  PRIMARY KEY (`bsn`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;


#資源種類
CREATE TABLE `tt_cat` (                                           
  `csn` smallint(5) unsigned NOT NULL auto_increment,     # 編號
  `cname` varchar(30),                                    # 種類名稱  
  PRIMARY KEY (`csn`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

#適用年級
CREATE TABLE `tt_grade` (                                         
  `gsn` smallint(5) unsigned NOT NULL auto_increment,     # 編號
  `gname` varchar(15),                                    # 年級名稱 
  PRIMARY KEY (`gsn`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

#領域名稱
CREATE TABLE `tt_field` (                                         
  `fsn` smallint(5) unsigned NOT NULL auto_increment,     # 編號
  `fname` varchar(30),                                    # 領域名稱 
  `fsname` varchar(5),                                    # 領域縮寫名稱   
  PRIMARY KEY (`fsn`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

#目前狀況 
CREATE TABLE `tt_now` (                                        
  `nsn` smallint(5) unsigned NOT NULL auto_increment,     # 編號
  `nname` varchar(30),                                    # 目前狀況名稱  
  PRIMARY KEY (`nsn`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

#廠商（出版者）名稱 
CREATE TABLE `tt_co` (                                        
  `csn` smallint(5) unsigned NOT NULL auto_increment,     # 編號
  `cname` varchar(30),                                    # 廠商名稱名稱  
  PRIMARY KEY (`csn`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

#放置地點 
CREATE TABLE `tt_site` (                                        
  `ssn` smallint(5) unsigned NOT NULL auto_increment,     # 編號
  `sname` varchar(30),                                    # 放置地點  
  PRIMARY KEY (`ssn`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;


      INSERT INTO `tt_cat` (csn,cname) VALUES ('', '教具');
      INSERT INTO `tt_cat` (csn,cname) VALUES ('', '錄影帶');
      INSERT INTO `tt_cat` (csn,cname) VALUES ('', 'VCD');
      INSERT INTO `tt_cat` (csn,cname) VALUES ('', 'DVD');
      INSERT INTO `tt_cat` (csn,cname) VALUES ('', '電腦用光碟');
      INSERT INTO `tt_cat` (csn,cname) VALUES ('', '實驗器材');
       
      INSERT INTO `tt_grade` (gsn,gname) VALUES ('', '一年級');
      INSERT INTO `tt_grade` (gsn,gname) VALUES ('', '二年級');
      INSERT INTO `tt_grade` (gsn,gname) VALUES ('', '三年級');
      INSERT INTO `tt_grade` (gsn,gname) VALUES ('', '四年級');
      INSERT INTO `tt_grade` (gsn,gname) VALUES ('', '五年級');
      INSERT INTO `tt_grade` (gsn,gname) VALUES ('', '六年級');
     
      INSERT INTO `tt_field` (fsn,fname,fsname) VALUES ('','國語文','國');
      INSERT INTO `tt_field` (fsn,fname,fsname) VALUES ('','閩南語','閩');
      INSERT INTO `tt_field` (fsn,fname,fsname) VALUES ('','客家語','客');
      INSERT INTO `tt_field` (fsn,fname,fsname) VALUES ('','原住民','原');
      INSERT INTO `tt_field` (fsn,fname,fsname) VALUES ('','英文','英');
      INSERT INTO `tt_field` (fsn,fname,fsname) VALUES ('','數學','數');
      INSERT INTO `tt_field` (fsn,fname,fsname) VALUES ('','社會','社');
      INSERT INTO `tt_field` (fsn,fname,fsname) VALUES ('','自然與生活科技','自');
      INSERT INTO `tt_field` (fsn,fname,fsname) VALUES ('','健康與體育','健');
      INSERT INTO `tt_field` (fsn,fname,fsname) VALUES ('','生活','生');
      INSERT INTO `tt_field` (fsn,fname,fsname) VALUES ('','綜合活動','綜');
      INSERT INTO `tt_field` (fsn,fname,fsname) VALUES ('','資訊教育','資');
      INSERT INTO `tt_field` (fsn,fname,fsname) VALUES ('','環境教育','環');
      INSERT INTO `tt_field` (fsn,fname,fsname) VALUES ('','兩性教育','兩');
      INSERT INTO `tt_field` (fsn,fname,fsname) VALUES ('','人權教育','人');
      INSERT INTO `tt_field` (fsn,fname,fsname) VALUES ('','生涯發展','涯');
      INSERT INTO `tt_field` (fsn,fname,fsname) VALUES ('','家政教育','家');
      
      INSERT INTO `tt_now` (nsn,nname) VALUES ('', '良好');
      INSERT INTO `tt_now` (nsn,nname) VALUES ('', '故障');
      INSERT INTO `tt_now` (nsn,nname) VALUES ('', '報廢');
      INSERT INTO `tt_now` (nsn,nname) VALUES ('', '遺失');
      INSERT INTO `tt_now` (nsn,nname) VALUES ('', '送修');
      INSERT INTO `tt_now` (nsn,nname) VALUES ('', '借出');
      
      INSERT INTO `tt_co` (csn,cname) VALUES ('', '康軒');
      INSERT INTO `tt_co` (csn,cname) VALUES ('', '翰林');
      INSERT INTO `tt_co` (csn,cname) VALUES ('', '南一');
      
      INSERT INTO `tt_site` (ssn,sname) VALUES ('', '教具室');
      INSERT INTO `tt_site` (ssn,sname) VALUES ('', '主控室');
      INSERT INTO `tt_site` (ssn,sname) VALUES ('', '總務處');
